
_Init:

;electronique_temporisateur_006_16f628.mpas,41 :: 		begin
;electronique_temporisateur_006_16f628.mpas,43 :: 		CMCON := 7;   // disable all comparators
	MOVLW      7
	MOVWF      CMCON+0
;electronique_temporisateur_006_16f628.mpas,46 :: 		OPTION_REG.NOT_RBPU := 0; // bit 7 - Pullup ON
	BCF        OPTION_REG+0, 7
;electronique_temporisateur_006_16f628.mpas,47 :: 		OPTION_REG.T0CS := 0;  // bit 5 - TMR0 Clock Source Select bit:0=Internal Clock (CLKO) / 1=Transition on T0CKI pin
	BCF        OPTION_REG+0, 5
;electronique_temporisateur_006_16f628.mpas,48 :: 		OPTION_REG.T0SE := 0;  // bit 4 - TMR0 Source Edge Select bit: 0=low/high / 1=high/low
	BCF        OPTION_REG+0, 4
;electronique_temporisateur_006_16f628.mpas,49 :: 		OPTION_REG.PSA  := 0;  // bit 3 - Prescaler Assignment bit: 0=Prescaler is assigned to the Timer0
	BCF        OPTION_REG+0, 3
;electronique_temporisateur_006_16f628.mpas,50 :: 		OPTION_REG.PS2  := 1;  // |
	BSF        OPTION_REG+0, 2
;electronique_temporisateur_006_16f628.mpas,51 :: 		OPTION_REG.PS1  := 0;  // | bits 2-0 - PS2:PS0: Prescaler Rate Select bits
	BCF        OPTION_REG+0, 1
;electronique_temporisateur_006_16f628.mpas,52 :: 		OPTION_REG.PS0  := 0;  // |
	BCF        OPTION_REG+0, 0
;electronique_temporisateur_006_16f628.mpas,55 :: 		INTCON.GIE  := 1;      // enable global interrupts
	BSF        INTCON+0, 7
;electronique_temporisateur_006_16f628.mpas,56 :: 		INTCON.PEIE := 1;      // enable peripheral int
	BSF        INTCON+0, 6
;electronique_temporisateur_006_16f628.mpas,57 :: 		INTCON.T0IE := 0;      // disable timer0 int
	BCF        INTCON+0, 5
;electronique_temporisateur_006_16f628.mpas,58 :: 		INTCON.INTE := 0;      // disable RB0 int
	BCF        INTCON+0, 4
;electronique_temporisateur_006_16f628.mpas,59 :: 		INTCON.RBIE := 0;      // disable RB4..RB7 int
	BCF        INTCON+0, 3
;electronique_temporisateur_006_16f628.mpas,62 :: 		PIE1.TMR1IE       := 1;
	BSF        PIE1+0, 0
;electronique_temporisateur_006_16f628.mpas,63 :: 		T1CON.T1CKPS1     := 0;  // bits 5-4  Prescaler Rate Select bits
	BCF        T1CON+0, 5
;electronique_temporisateur_006_16f628.mpas,64 :: 		T1CON.T1CKPS0     := 1;  // bit 4
	BSF        T1CON+0, 4
;electronique_temporisateur_006_16f628.mpas,65 :: 		T1CON.T1OSCEN     := 0;  // bit 3 Timer1 Oscillator Enable Control: bit 1=on, 0=off
	BCF        T1CON+0, 3
;electronique_temporisateur_006_16f628.mpas,66 :: 		T1CON.NOT_T1SYNC  := 1;  // bit 2 Timer1 External Clock Input Synchronization Control bit: 1=Do not synchronize external clock input
	BSF        T1CON+0, 2
;electronique_temporisateur_006_16f628.mpas,67 :: 		T1CON.TMR1CS      := 0;  // bit 1 Timer1 Clock Source Select bit: 0=Internal clock (FOSC/4) / 1 = External clock from pin T13CKI (on the rising edge)
	BCF        T1CON+0, 1
;electronique_temporisateur_006_16f628.mpas,68 :: 		T1CON.TMR1ON      := 1;  // bit 0 enables timer
	BSF        T1CON+0, 0
;electronique_temporisateur_006_16f628.mpas,69 :: 		TMR1H := cTMR1H; // preset for timer1 MSB register
	MOVLW      60
	MOVWF      TMR1H+0
;electronique_temporisateur_006_16f628.mpas,70 :: 		TMR1L := cTMR1L; // preset for timer1 LSB register
	MOVLW      176
	MOVWF      TMR1L+0
;electronique_temporisateur_006_16f628.mpas,72 :: 		TRISA       := %11100000;  // RA0..RA4 as output, RA5..RA7 as input
	MOVLW      224
	MOVWF      TRISA+0
;electronique_temporisateur_006_16f628.mpas,73 :: 		TRISB       := %11111111;  // PORTB as input
	MOVLW      255
	MOVWF      TRISB+0
;electronique_temporisateur_006_16f628.mpas,74 :: 		PORTA       := 0;  // clear porta
	CLRF       PORTA+0
;electronique_temporisateur_006_16f628.mpas,75 :: 		PORTB       := 0;  // clear portb
	CLRF       PORTB+0
;electronique_temporisateur_006_16f628.mpas,77 :: 		iOut1Count := 0;
	CLRF       _iOut1Count+0
	CLRF       _iOut1Count+1
	CLRF       _iOut1Count+2
	CLRF       _iOut1Count+3
;electronique_temporisateur_006_16f628.mpas,78 :: 		iOut2Count := 0;
	CLRF       _iOut2Count+0
	CLRF       _iOut2Count+1
	CLRF       _iOut2Count+2
	CLRF       _iOut2Count+3
;electronique_temporisateur_006_16f628.mpas,79 :: 		iOut3Count := 0;
	CLRF       _iOut3Count+0
	CLRF       _iOut3Count+1
	CLRF       _iOut3Count+2
	CLRF       _iOut3Count+3
;electronique_temporisateur_006_16f628.mpas,80 :: 		iOut4Count := 0;
	CLRF       _iOut4Count+0
	CLRF       _iOut4Count+1
	CLRF       _iOut4Count+2
	CLRF       _iOut4Count+3
;electronique_temporisateur_006_16f628.mpas,82 :: 		iOut1End := false;
	CLRF       _iOut1End+0
;electronique_temporisateur_006_16f628.mpas,83 :: 		iOut2End := false;
	CLRF       _iOut2End+0
;electronique_temporisateur_006_16f628.mpas,84 :: 		iOut3End := false;
	CLRF       _iOut3End+0
;electronique_temporisateur_006_16f628.mpas,85 :: 		iOut4End := false;
	CLRF       _iOut4End+0
;electronique_temporisateur_006_16f628.mpas,87 :: 		end;
	RETURN
; end of _Init

_Interrupt:
	MOVWF      R15+0
	SWAPF      STATUS+0, 0
	CLRF       STATUS+0
	MOVWF      ___saveSTATUS+0
	MOVF       PCLATH+0, 0
	MOVWF      ___savePCLATH+0
	CLRF       PCLATH+0

;electronique_temporisateur_006_16f628.mpas,90 :: 		begin
;electronique_temporisateur_006_16f628.mpas,91 :: 		if TestBit(PIR1, TMR1IF) then
	CLRF       R0+0
	BTFSS      PIR1+0, 0
	GOTO       L__Interrupt5
	MOVLW      1
	MOVWF      R0+0
L__Interrupt5:
	MOVF       R0+0, 0
	BTFSC      STATUS+0, 2
	GOTO       L__Interrupt3
;electronique_temporisateur_006_16f628.mpas,93 :: 		inc(iOut1Count);
	MOVF       _iOut1Count+0, 0
	MOVWF      R0+0
	MOVF       _iOut1Count+1, 0
	MOVWF      R0+1
	MOVF       _iOut1Count+2, 0
	MOVWF      R0+2
	MOVF       _iOut1Count+3, 0
	MOVWF      R0+3
	INCF       R0+0, 1
	BTFSC      STATUS+0, 2
	INCF       R0+1, 1
	BTFSC      STATUS+0, 2
	INCF       R0+2, 1
	BTFSC      STATUS+0, 2
	INCF       R0+3, 1
	MOVF       R0+0, 0
	MOVWF      _iOut1Count+0
	MOVF       R0+1, 0
	MOVWF      _iOut1Count+1
	MOVF       R0+2, 0
	MOVWF      _iOut1Count+2
	MOVF       R0+3, 0
	MOVWF      _iOut1Count+3
;electronique_temporisateur_006_16f628.mpas,94 :: 		inc(iOut2Count);
	MOVF       _iOut2Count+0, 0
	MOVWF      R0+0
	MOVF       _iOut2Count+1, 0
	MOVWF      R0+1
	MOVF       _iOut2Count+2, 0
	MOVWF      R0+2
	MOVF       _iOut2Count+3, 0
	MOVWF      R0+3
	INCF       R0+0, 1
	BTFSC      STATUS+0, 2
	INCF       R0+1, 1
	BTFSC      STATUS+0, 2
	INCF       R0+2, 1
	BTFSC      STATUS+0, 2
	INCF       R0+3, 1
	MOVF       R0+0, 0
	MOVWF      _iOut2Count+0
	MOVF       R0+1, 0
	MOVWF      _iOut2Count+1
	MOVF       R0+2, 0
	MOVWF      _iOut2Count+2
	MOVF       R0+3, 0
	MOVWF      _iOut2Count+3
;electronique_temporisateur_006_16f628.mpas,95 :: 		inc(iOut3Count);
	MOVF       _iOut3Count+0, 0
	MOVWF      R0+0
	MOVF       _iOut3Count+1, 0
	MOVWF      R0+1
	MOVF       _iOut3Count+2, 0
	MOVWF      R0+2
	MOVF       _iOut3Count+3, 0
	MOVWF      R0+3
	INCF       R0+0, 1
	BTFSC      STATUS+0, 2
	INCF       R0+1, 1
	BTFSC      STATUS+0, 2
	INCF       R0+2, 1
	BTFSC      STATUS+0, 2
	INCF       R0+3, 1
	MOVF       R0+0, 0
	MOVWF      _iOut3Count+0
	MOVF       R0+1, 0
	MOVWF      _iOut3Count+1
	MOVF       R0+2, 0
	MOVWF      _iOut3Count+2
	MOVF       R0+3, 0
	MOVWF      _iOut3Count+3
;electronique_temporisateur_006_16f628.mpas,96 :: 		inc(iOut4Count);
	MOVF       _iOut4Count+0, 0
	MOVWF      R0+0
	MOVF       _iOut4Count+1, 0
	MOVWF      R0+1
	MOVF       _iOut4Count+2, 0
	MOVWF      R0+2
	MOVF       _iOut4Count+3, 0
	MOVWF      R0+3
	INCF       R0+0, 1
	BTFSC      STATUS+0, 2
	INCF       R0+1, 1
	BTFSC      STATUS+0, 2
	INCF       R0+2, 1
	BTFSC      STATUS+0, 2
	INCF       R0+3, 1
	MOVF       R0+0, 0
	MOVWF      _iOut4Count+0
	MOVF       R0+1, 0
	MOVWF      _iOut4Count+1
	MOVF       R0+2, 0
	MOVWF      _iOut4Count+2
	MOVF       R0+3, 0
	MOVWF      _iOut4Count+3
;electronique_temporisateur_006_16f628.mpas,97 :: 		TMR1H := cTMR1H;     // preset for timer1 MSB register
	MOVLW      60
	MOVWF      TMR1H+0
;electronique_temporisateur_006_16f628.mpas,98 :: 		TMR1L := cTMR1L;     // preset for timer1 LSB register
	MOVLW      176
	MOVWF      TMR1L+0
;electronique_temporisateur_006_16f628.mpas,99 :: 		ClearBit(PIR1, TMR1IF);      // reset T1 flag
	BCF        PIR1+0, 0
;electronique_temporisateur_006_16f628.mpas,100 :: 		PORTA.4 := PORTA.4 xor $01;  // only for test purposes (5 Hz / 200 ms)
	MOVLW      16
	XORWF      PORTA+0, 1
;electronique_temporisateur_006_16f628.mpas,101 :: 		end;
L__Interrupt3:
;electronique_temporisateur_006_16f628.mpas,102 :: 		end;
L__Interrupt46:
	MOVF       ___savePCLATH+0, 0
	MOVWF      PCLATH+0
	SWAPF      ___saveSTATUS+0, 0
	MOVWF      STATUS+0
	SWAPF      R15+0, 1
	SWAPF      R15+0, 0
	RETFIE
; end of _Interrupt

_main:

;electronique_temporisateur_006_16f628.mpas,105 :: 		begin
;electronique_temporisateur_006_16f628.mpas,106 :: 		Init;
	CALL       _Init+0
;electronique_temporisateur_006_16f628.mpas,109 :: 		bInitStateLow := TestBit(PORTA, 5);
	CLRF       R0+0
	BTFSS      PORTA+0, 5
	GOTO       L__main7
	MOVLW      1
	MOVWF      R0+0
L__main7:
	MOVF       R0+0, 0
	MOVWF      _bInitStateLow+0
;electronique_temporisateur_006_16f628.mpas,110 :: 		PORTA.0 := bInitStateLow;
	BTFSC      R0+0, 0
	GOTO       L__main47
	BCF        PORTA+0, 0
	GOTO       L__main48
L__main47:
	BSF        PORTA+0, 0
L__main48:
;electronique_temporisateur_006_16f628.mpas,111 :: 		PORTA.1 := bInitStateLow;
	BTFSC      R0+0, 0
	GOTO       L__main49
	BCF        PORTA+0, 1
	GOTO       L__main50
L__main49:
	BSF        PORTA+0, 1
L__main50:
;electronique_temporisateur_006_16f628.mpas,112 :: 		PORTA.2 := bInitStateLow;
	BTFSC      R0+0, 0
	GOTO       L__main51
	BCF        PORTA+0, 2
	GOTO       L__main52
L__main51:
	BSF        PORTA+0, 2
L__main52:
;electronique_temporisateur_006_16f628.mpas,113 :: 		PORTA.3 := bInitStateLow;
	BTFSC      R0+0, 0
	GOTO       L__main53
	BCF        PORTA+0, 3
	GOTO       L__main54
L__main53:
	BSF        PORTA+0, 3
L__main54:
;electronique_temporisateur_006_16f628.mpas,116 :: 		iMode := 0;
	CLRF       _iMode+0
;electronique_temporisateur_006_16f628.mpas,117 :: 		if TestBit(PORTA, 6) then iMode := iMode + 1;
	CLRF       R0+0
	BTFSS      PORTA+0, 6
	GOTO       L__main11
	MOVLW      1
	MOVWF      R0+0
L__main11:
	MOVF       R0+0, 0
	BTFSC      STATUS+0, 2
	GOTO       L__main9
	INCF       _iMode+0, 1
L__main9:
;electronique_temporisateur_006_16f628.mpas,118 :: 		if TestBit(PORTA, 7) then iMode := iMode + 2;
	CLRF       R0+0
	BTFSS      PORTA+0, 7
	GOTO       L__main15
	MOVLW      1
	MOVWF      R0+0
L__main15:
	MOVF       R0+0, 0
	BTFSC      STATUS+0, 2
	GOTO       L__main13
	MOVLW      2
	ADDWF      _iMode+0, 1
L__main13:
;electronique_temporisateur_006_16f628.mpas,120 :: 		0 : iTimeBase := 1;     // 100 ms;
	MOVF       _iMode+0, 0
	XORLW      0
	BTFSS      STATUS+0, 2
	GOTO       L__main19
	MOVLW      1
	MOVWF      _iTimeBase+0
	CLRF       _iTimeBase+1
	CLRF       _iTimeBase+2
	CLRF       _iTimeBase+3
	GOTO       L__main16
L__main19:
;electronique_temporisateur_006_16f628.mpas,121 :: 		1 : iTimeBase := 10;    // 1 s
	MOVF       _iMode+0, 0
	XORLW      1
	BTFSS      STATUS+0, 2
	GOTO       L__main22
	MOVLW      10
	MOVWF      _iTimeBase+0
	CLRF       _iTimeBase+1
	CLRF       _iTimeBase+2
	CLRF       _iTimeBase+3
	GOTO       L__main16
L__main22:
;electronique_temporisateur_006_16f628.mpas,122 :: 		2 : iTimeBase := 100;   // 10 s
	MOVF       _iMode+0, 0
	XORLW      2
	BTFSS      STATUS+0, 2
	GOTO       L__main25
	MOVLW      100
	MOVWF      _iTimeBase+0
	CLRF       _iTimeBase+1
	CLRF       _iTimeBase+2
	CLRF       _iTimeBase+3
	GOTO       L__main16
L__main25:
;electronique_temporisateur_006_16f628.mpas,123 :: 		3 : iTimeBase := 1000;  // 100 s
	MOVF       _iMode+0, 0
	XORLW      3
	BTFSS      STATUS+0, 2
	GOTO       L__main28
	MOVLW      232
	MOVWF      _iTimeBase+0
	MOVLW      3
	MOVWF      _iTimeBase+1
	CLRF       _iTimeBase+2
	CLRF       _iTimeBase+3
	GOTO       L__main16
L__main28:
L__main16:
;electronique_temporisateur_006_16f628.mpas,127 :: 		iTimePreset := PortB;
	MOVF       PORTB+0, 0
	MOVWF      _iTimePreset+0
;electronique_temporisateur_006_16f628.mpas,130 :: 		iOut1Time := iTimeBase * iTimePreset;
	MOVF       _iTimeBase+0, 0
	MOVWF      R0+0
	MOVF       _iTimeBase+1, 0
	MOVWF      R0+1
	MOVF       _iTimeBase+2, 0
	MOVWF      R0+2
	MOVF       _iTimeBase+3, 0
	MOVWF      R0+3
	MOVF       _iTimePreset+0, 0
	MOVWF      R4+0
	CLRF       R4+1
	CLRF       R4+2
	CLRF       R4+3
	CALL       _Mul_32x32_U+0
	MOVF       R0+0, 0
	MOVWF      _iOut1Time+0
	MOVF       R0+1, 0
	MOVWF      _iOut1Time+1
	MOVF       R0+2, 0
	MOVWF      _iOut1Time+2
	MOVF       R0+3, 0
	MOVWF      _iOut1Time+3
;electronique_temporisateur_006_16f628.mpas,131 :: 		iOut2Time := iOut1Time * 2;
	MOVF       R0+0, 0
	MOVWF      _iOut2Time+0
	MOVF       R0+1, 0
	MOVWF      _iOut2Time+1
	MOVF       R0+2, 0
	MOVWF      _iOut2Time+2
	MOVF       R0+3, 0
	MOVWF      _iOut2Time+3
	RLF        _iOut2Time+0, 1
	RLF        _iOut2Time+1, 1
	RLF        _iOut2Time+2, 1
	RLF        _iOut2Time+3, 1
	BCF        _iOut2Time+0, 0
;electronique_temporisateur_006_16f628.mpas,132 :: 		iOut3Time := iOut1Time * 4;
	MOVF       R0+0, 0
	MOVWF      _iOut3Time+0
	MOVF       R0+1, 0
	MOVWF      _iOut3Time+1
	MOVF       R0+2, 0
	MOVWF      _iOut3Time+2
	MOVF       R0+3, 0
	MOVWF      _iOut3Time+3
	RLF        _iOut3Time+0, 1
	RLF        _iOut3Time+1, 1
	RLF        _iOut3Time+2, 1
	RLF        _iOut3Time+3, 1
	BCF        _iOut3Time+0, 0
	RLF        _iOut3Time+0, 1
	RLF        _iOut3Time+1, 1
	RLF        _iOut3Time+2, 1
	RLF        _iOut3Time+3, 1
	BCF        _iOut3Time+0, 0
;electronique_temporisateur_006_16f628.mpas,133 :: 		iOut4Time := iOut1Time * 8;
	MOVLW      3
	MOVWF      R4+0
	MOVF       R0+0, 0
	MOVWF      _iOut4Time+0
	MOVF       R0+1, 0
	MOVWF      _iOut4Time+1
	MOVF       R0+2, 0
	MOVWF      _iOut4Time+2
	MOVF       R0+3, 0
	MOVWF      _iOut4Time+3
	MOVF       R4+0, 0
L__main55:
	BTFSC      STATUS+0, 2
	GOTO       L__main56
	RLF        _iOut4Time+0, 1
	RLF        _iOut4Time+1, 1
	RLF        _iOut4Time+2, 1
	RLF        _iOut4Time+3, 1
	BCF        _iOut4Time+0, 0
	ADDLW      255
	GOTO       L__main55
L__main56:
;electronique_temporisateur_006_16f628.mpas,138 :: 		while true do
L__main30:
;electronique_temporisateur_006_16f628.mpas,140 :: 		if ((not iOut1End) and (iOut1Count >= iOut1Time)) then
	COMF       _iOut1End+0, 0
	MOVWF      R1+0
	MOVF       _iOut1Time+3, 0
	SUBWF      _iOut1Count+3, 0
	BTFSS      STATUS+0, 2
	GOTO       L__main57
	MOVF       _iOut1Time+2, 0
	SUBWF      _iOut1Count+2, 0
	BTFSS      STATUS+0, 2
	GOTO       L__main57
	MOVF       _iOut1Time+1, 0
	SUBWF      _iOut1Count+1, 0
	BTFSS      STATUS+0, 2
	GOTO       L__main57
	MOVF       _iOut1Time+0, 0
	SUBWF      _iOut1Count+0, 0
L__main57:
	MOVLW      255
	BTFSS      STATUS+0, 0
	MOVLW      0
	MOVWF      R0+0
	MOVF       R1+0, 0
	ANDWF      R0+0, 1
	BTFSC      STATUS+0, 2
	GOTO       L__main35
;electronique_temporisateur_006_16f628.mpas,142 :: 		iOut1End := true;
	MOVLW      255
	MOVWF      _iOut1End+0
;electronique_temporisateur_006_16f628.mpas,143 :: 		PORTA.0 := bInitStateLow xor $01;
	MOVLW      1
	XORWF      _bInitStateLow+0, 0
	MOVWF      R0+0
	BTFSC      R0+0, 0
	GOTO       L__main58
	BCF        PORTA+0, 0
	GOTO       L__main59
L__main58:
	BSF        PORTA+0, 0
L__main59:
;electronique_temporisateur_006_16f628.mpas,144 :: 		end;
L__main35:
;electronique_temporisateur_006_16f628.mpas,145 :: 		if ((not iOut2End) and (iOut2Count >= iOut2Time)) then
	COMF       _iOut2End+0, 0
	MOVWF      R1+0
	MOVF       _iOut2Time+3, 0
	SUBWF      _iOut2Count+3, 0
	BTFSS      STATUS+0, 2
	GOTO       L__main60
	MOVF       _iOut2Time+2, 0
	SUBWF      _iOut2Count+2, 0
	BTFSS      STATUS+0, 2
	GOTO       L__main60
	MOVF       _iOut2Time+1, 0
	SUBWF      _iOut2Count+1, 0
	BTFSS      STATUS+0, 2
	GOTO       L__main60
	MOVF       _iOut2Time+0, 0
	SUBWF      _iOut2Count+0, 0
L__main60:
	MOVLW      255
	BTFSS      STATUS+0, 0
	MOVLW      0
	MOVWF      R0+0
	MOVF       R1+0, 0
	ANDWF      R0+0, 1
	BTFSC      STATUS+0, 2
	GOTO       L__main38
;electronique_temporisateur_006_16f628.mpas,147 :: 		iOut2End := true;
	MOVLW      255
	MOVWF      _iOut2End+0
;electronique_temporisateur_006_16f628.mpas,148 :: 		PORTA.1 := bInitStateLow xor $01;
	MOVLW      1
	XORWF      _bInitStateLow+0, 0
	MOVWF      R0+0
	BTFSC      R0+0, 0
	GOTO       L__main61
	BCF        PORTA+0, 1
	GOTO       L__main62
L__main61:
	BSF        PORTA+0, 1
L__main62:
;electronique_temporisateur_006_16f628.mpas,149 :: 		end;
L__main38:
;electronique_temporisateur_006_16f628.mpas,150 :: 		if ((not iOut3End) and (iOut3Count >= iOut3Time)) then
	COMF       _iOut3End+0, 0
	MOVWF      R1+0
	MOVF       _iOut3Time+3, 0
	SUBWF      _iOut3Count+3, 0
	BTFSS      STATUS+0, 2
	GOTO       L__main63
	MOVF       _iOut3Time+2, 0
	SUBWF      _iOut3Count+2, 0
	BTFSS      STATUS+0, 2
	GOTO       L__main63
	MOVF       _iOut3Time+1, 0
	SUBWF      _iOut3Count+1, 0
	BTFSS      STATUS+0, 2
	GOTO       L__main63
	MOVF       _iOut3Time+0, 0
	SUBWF      _iOut3Count+0, 0
L__main63:
	MOVLW      255
	BTFSS      STATUS+0, 0
	MOVLW      0
	MOVWF      R0+0
	MOVF       R1+0, 0
	ANDWF      R0+0, 1
	BTFSC      STATUS+0, 2
	GOTO       L__main41
;electronique_temporisateur_006_16f628.mpas,152 :: 		iOut3End := true;
	MOVLW      255
	MOVWF      _iOut3End+0
;electronique_temporisateur_006_16f628.mpas,153 :: 		PORTA.2 := bInitStateLow xor $01;
	MOVLW      1
	XORWF      _bInitStateLow+0, 0
	MOVWF      R0+0
	BTFSC      R0+0, 0
	GOTO       L__main64
	BCF        PORTA+0, 2
	GOTO       L__main65
L__main64:
	BSF        PORTA+0, 2
L__main65:
;electronique_temporisateur_006_16f628.mpas,154 :: 		end;
L__main41:
;electronique_temporisateur_006_16f628.mpas,155 :: 		if ((not iOut4End) and (iOut4Count >= iOut4Time)) then
	COMF       _iOut4End+0, 0
	MOVWF      R1+0
	MOVF       _iOut4Time+3, 0
	SUBWF      _iOut4Count+3, 0
	BTFSS      STATUS+0, 2
	GOTO       L__main66
	MOVF       _iOut4Time+2, 0
	SUBWF      _iOut4Count+2, 0
	BTFSS      STATUS+0, 2
	GOTO       L__main66
	MOVF       _iOut4Time+1, 0
	SUBWF      _iOut4Count+1, 0
	BTFSS      STATUS+0, 2
	GOTO       L__main66
	MOVF       _iOut4Time+0, 0
	SUBWF      _iOut4Count+0, 0
L__main66:
	MOVLW      255
	BTFSS      STATUS+0, 0
	MOVLW      0
	MOVWF      R0+0
	MOVF       R1+0, 0
	ANDWF      R0+0, 1
	BTFSC      STATUS+0, 2
	GOTO       L__main44
;electronique_temporisateur_006_16f628.mpas,157 :: 		iOut4End := true;
	MOVLW      255
	MOVWF      _iOut4End+0
;electronique_temporisateur_006_16f628.mpas,158 :: 		PORTA.3 := bInitStateLow xor $01;
	MOVLW      1
	XORWF      _bInitStateLow+0, 0
	MOVWF      R0+0
	BTFSC      R0+0, 0
	GOTO       L__main67
	BCF        PORTA+0, 3
	GOTO       L__main68
L__main67:
	BSF        PORTA+0, 3
L__main68:
;electronique_temporisateur_006_16f628.mpas,159 :: 		end;
L__main44:
;electronique_temporisateur_006_16f628.mpas,160 :: 		end;
	GOTO       L__main30
;electronique_temporisateur_006_16f628.mpas,162 :: 		end.
	GOTO       $+0
; end of _main
